How to define a query parameter with REST API?
I’m trying to define a GET REST API endpoint with register_rest_route
I’m trying to define a GET REST API endpoint with register_rest_route
When submitting form data via jQuery and using admin-ajax, including a file attachment was easy:
I’m setting up a WordPress project with Gatsby as frontend, and also using ACF for content. But I wonder how you would setup global content parts like header, footer, or any other kind of content that is being used globally throughout the website? For example both HOME and ABOUT pages need to have their “own” content, but also shares some specific blocks with same content.
I am starting a bit with the REST API. If I am not completly mislead, the init action hook is also executed when its a REST API request. Now, I want to execute some code only, when it is not a REST API request.
I’m trying to generate rewrite rules for a RESTful API. I just want to see if there is a better way to make this work than having to write out every possible rewrite combination.
I’m about to start working on a prototype for a client – and one of the required features is integration with an in-house user authentication / registration system.
This is not really a question but a guide on how to make authenticated requests to the WordPress API using JWT. I’m writing this as a reminder to myself and for those who may need some help with the same topic.
I’m using wp-rest api to get posts information.
I also use wp rest api filter items to filter fields and summarize the result:
I am working on a project using the WordPress REST API and VueJS along with Axios (for the AJAX calls to GET/POST data back to the site). However, i need to be able to access a user’s meta data ie ‘collapsed_widgets’ from the REST API but the data I receive back from the GET response is
Using v2 of the REST API, I’m wanting to query some posts by multiple meta keys. With v1 I was able to format the url like &filter[meta_value][month]=12&[meta_value][year]=2015 and it worked (after exposing the meta values to the API).